OCF_HEARTBEAT_MAILTO(7)

NAME
ocf_heartbeat_MailTo - Notifies recipients by email in the event of resource takeover

SYNOPSIS

MailTo [start | stop | status | monitor | meta-data | validate-all]

DESCRIPTION

This is a resource agent for MailTo. It sends email to a sysadmin whenever a takeover occurs.

SUPPORTED PARAMETERS

email
    The email address of sysadmin.

    (required, string, no default)

subject
    The subject of the email.

    (optional, string, default "Resource Group")

SUPPORTED ACTIONS

This resource agent supports the following actions (operations):

start
    Starts the resource. Suggested minimum timeout: 10s.

stop
    Stops the resource. Suggested minimum timeout: 10s.

status
    Performs a status check. Suggested minimum timeout: 10s. Suggested interval: 10s.

monitor
    Performs a detailed status check. Suggested minimum timeout: 10s. Suggested interval: 10s.

meta-data
    Retrieves resource agent metadata (internal use only). Suggested minimum timeout: 5s.

validate-all
    Performs a validation of the resource configuration. Suggested minimum timeout: 5s.

EXAMPLE CRM SHELL

The following is an example configuration for a MailTo resource using the crm(8) shell:

    primitive p_MailTo ocf:heartbeat:MailTo \
      params \
        email=string \
      op monitor depth="0" timeout="10s" interval="10s"

EXAMPLE PCS

The following is an example configuration for a MailTo resource using pcs(8)

    pcs resource create p_MailTo ocf:heartbeat:MailTo \
      email=string \
      op monitor OCF_CHECK_LEVEL="0" timeout="10s" interval="10s"

SEE ALSO

http://clusterlabs.org/

AUTHOR

ClusterLabs contributors (see the resource agent source for information about individual authors)